const { app, BrowserWindow } = require('electron');

// 创建 splash window
let splash;
function createSplash() {
    splash = new BrowserWindow({
        width: 900,
        height: 380,
        frame: false,
        transparent: true,
        alwaysOnTop: true
    });

    splash.loadURL('file://' + __dirname + '/splash.html'); // 加载 splash 页面
}

function createWindow() {
    // 关闭 splash window
    splash.close();

    const win = new BrowserWindow({
        width: 800,
        height: 600,
        autoHideMenuBar: true, // 隐藏菜单栏
        icon: 'iu.png', // 更换默认图标
        webPreferences: {
            nodeIntegration: true,
            contextIsolation: true,
            enableRemoteModule: false,
            webSecurity: false
        }
    });

    // 默认最大化窗口
    win.maximize();
    // 加载指定的 URL
    win.loadURL('https://s.iuva.cn/admin/kfmon.php');
}

// 创建 splash window 并在 Electron 完成初始化时创建主窗口
app.whenReady().then(() => {
    createSplash();
    setTimeout(createWindow, 2000); // 延迟创建主窗口
});
app.setAppUserModelId('客户消息监控大屏');